Subject: Re: cygwin reinstall problem
From: Christopher Faylor <[email-masked]>
To: Gaurav Jain <[email-masked]>
Cc: [email-masked]
Date: Fri, 8 Feb 2002 16:59:58 -0500

Please check out the project web page for links to available information
and ports:  http://cygwin.com/ .

If you don't see what you need there, then the cygwin mailing list is
the best place to make observations or get questions answered.
Information on the mailing list is available at the project web page.

For your convenience, I've reset the Reply-To: address to point to the
cygwin mailing list.  I've also Cc'ed this reply there.

On Fri, Feb 08, 2002 at 03:26:58PM -0500, Gaurav Jain wrote:
>I am facing the same problem on a Win2K machine.. I searched a lot but
>couldn't find any solution.. Could u plz help..
>
>Thanks,
>Gaurav.
>
>On Tue, May 29, 2001 at 09:49:12AM -0400, Earnie Boyd wrote:
>>Christopher Faylor wrote:
>>>
>>> On Sat, May 26, 2001 at 09:24:02PM -0400, Charles S. Wilson wrote:
>>> >"Fred T. Hamster" wrote:
>>> >>   is the official installation process now involving a bunch of
>registry
>>> >> edits before cygwin can be installed again, or is this setup program
>>> >> actually quite busted?
>>> >
>>> >It appears that the new setup program is not operating correctly for
>>> >SOME users.  This may be because setup itself is broken, or because the
>>> >affected users have some wierdness in their local machine.
>>> >
>>> >In my case, I just used the new setup.exe to update a pre-existing
>>> >install (that is, I used it to install the most recent inetutils,
>>> >openssh, and python packages -- I already had older versions of those
>>> >packages installed).
>>> >
>>> >It worked flawlessly.
>>>
>>> Prediction:  It will work flawlessly for every person who is remotely
>>> capable of debugging it.
>>>
>>> The problems with weird directories being created sounds a lot like
>>> random memory corruption.  Wish I could reproduce it.
>>>
>>> Maybe I should try building it with electric fence or something.
>>>
>>
>>Don't you find it strange that the people that are having problems are
>>the ones that are deleting their previous installation?  The workaround
>>to this problem is don't delete your current installation, just use
>>setup with the current installation.
>
>Possibly, but I tried deleting my current installation and updated with
>no problem.
>
>I did eventually duplicate the problem on another machine.  It was due
>to the use of a freed memory pointer.
>
>It should be fixed now, so we can stop talking about this.
>
>If it is not fixed, lets start a email thread.  This one should be
>dead already.
>
>cgf

-- 
Please do not send me personal email with cygwin questions.
Use the resources at http://cygwin.com/ .

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/